> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create client

> Create a client (an organization or person served by your platform) with the Sendforsign API and get its client key.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**client** `object` *required*

Structure, at least one of the fields must be filled.

**child attribute**

**fullname** `string`

First and second names of the client.

**email** `string`

Email of the client.

**organization** `string`

Organization name.

**customKey** `string`

Your custom key, if you don't need to use any of the above fields.

**users** `string`

Array of users, optional.

**child attribute**

**fullname** `string`

First and second names of the user.

**email** `string`

Email of the user.

**customKey** `string`

A custom user key, if you don't need to use any of the above fields.

### Response

**client** `string`

Client structure.

**child attribute**

**createTime** `string`

Create time.

**clientKey** `string`

ID of the client.

**users** `string`

Array of users.

**child attribute**

**createTime** `string`

Create time.

**default** `string`

The default user flag.

**userKey** `string`

ID of the user.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/client' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "create",
				   "client": {
							  "fullname": "John Johnson",
							  "email": "john_johnson@mail.com",
							  "organization": "Company Inc.",
							  "customKey": "YOUR_COMBINATION",
							  "users": [{
								"fullname": "John Johnson",
							    "email": "john_johnson@mail.com", 
							    "customKey": "YOUR_COMBINATION"
							  }]
						     }
				  }
       }'
```

```json Response theme={null}
     {
       "client": {
                "createTime": "2023-12-01 12:18:55",
                "clientKey": "CLIENT_KEY",
				"users": [{
					"createTime": "2023-12-01 12:18:55",
					"default": true,
					"userKey": "USER_KEY"
				}]
                 },
       "code": "201",
       "message": "Client created"
    }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.